Bug 127989

Summary: [CSS Grid Layout] Rename grid-definition-{columns|rows} to match the new syntax
Product: WebKit Reporter: Javier Fernandez <jfernandez>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, commit-queue, esprehn+autocc, glenn, gyuyoung.kim, jfernandez, kling, macpherson, menard, rego, svillar, syoichi
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 127987    
Attachments:
Description Flags
Patch
none
Modified the ChangeLog as suggested in the last review.
none
Patch rebased. none

Description Javier Fernandez 2014-01-31 02:47:54 PST
In the latest WD, grid-definition-{columns|rows} were renamed to grid-template-{columns|rows}.
Comment 1 Javier Fernandez 2014-02-06 13:54:06 PST
This basically involves merging the same fix I did for blink:

    [CSS Grid Layout] Rename grid-definition-{columns|rows} to match the new syntax

    In the latest WD, grid-definition-{columns|rows} were renamed to grid-template-{columns|rows}.
    
    BUG=BUG=337626

    Review URL: https://codereview.chromium.org/146773002
Comment 2 Javier Fernandez 2014-02-06 14:23:37 PST
Created attachment 223383 [details]
Patch
Comment 3 Sergio Villar Senin 2014-02-07 01:31:27 PST
Comment on attachment 223383 [details]
Patch

sgtm
Comment 4 Andreas Kling 2014-02-07 01:39:34 PST
Comment on attachment 223383 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=223383&action=review

rs=me on updating the property names. Thanks for keeping this stuff up-to-date!

> Source/WebCore/ChangeLog:10
> +        No new tests, no behavior change.

This statement is inconsistent with the actual changes; there is definitely a behavior change.
Comment 5 Javier Fernandez 2014-02-07 02:14:33 PST
Created attachment 223437 [details]
Modified the ChangeLog as suggested in the last review.
Comment 6 Javier Fernandez 2014-02-07 05:11:29 PST
Created attachment 223450 [details]
Patch rebased.
Comment 7 Sergio Villar Senin 2014-02-07 09:11:30 PST
Comment on attachment 223450 [details]
Patch rebased.

Let's get this in!
Comment 8 WebKit Commit Bot 2014-02-07 09:40:56 PST
Comment on attachment 223450 [details]
Patch rebased.

Clearing flags on attachment: 223450

Committed r163625: <http://trac.webkit.org/changeset/163625>
Comment 9 WebKit Commit Bot 2014-02-07 09:40:59 PST
All reviewed patches have been landed.  Closing bug.